package com.nuliji.tools.mybatis.handler;

import com.nuliji.tools.mybatis.NativeJsonHandler;
import org.apache.ibatis.type.JdbcType;
import org.apache.ibatis.type.MappedJdbcTypes;
import org.apache.ibatis.type.MappedTypes;

@MappedTypes(String[].class)
@MappedJdbcTypes({JdbcType.LONGVARCHAR, JdbcType.VARCHAR})
public class StringArrayWithJsonHandler extends NativeJsonHandler<String[]> {
    public StringArrayWithJsonHandler() {
        super(String[].class);
    }
}